geode-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kl...@apache.org
Subject geode git commit: GEODE-2460: update dependency versions
Date Fri, 10 Feb 2017 22:49:12 GMT
Repository: geode
Updated Branches:
  refs/heads/feature/GEODE-2460 [created] 0607a762b


GEODE-2460: update dependency versions

Update the following dependency versions defined in
gradle/dependency-versions.properties.

Update major versions (test-only):

* org.apache.bcel:bcel:6.0

Update minor versions (test and main):

* commons-beanutils:1.9.3
* commons-fileupload:1.3.2
* commons-io:2.5
* commons-lang:2.6
* commons-logging:1.2
* commons-modeler:2.0.1
* fastutil:7.0.13
* guava:21.0
* jansi:1.14
* javax.mail-api:1.4.7
* jline:2.14.3
* jopt-simple:5.0.3
* log4j-api:2.7
* log4j-core:2.7
* log4j-jcl:2.7
* log4j-jul:2.7
* log4j-slf4j-impl:2.7
* netty-all:4.1.7.Final
* shiro-core:1.3.2
* slf4j-api:1.7.22

Update minor versions (test-only):

* assertj-core:3.6.2
* cglib:cglib:3.2.4
* commons-configuration:1.10
* derby:10.13.1.1
* google-gson:2.8.0
* httpclient:4.5.2
* httpcore:4.4.6
* hsqldb:2.3.4
* javassist:3.21.0-GA
* jedis:2.9.0
* JUnitParams:1.0.6
* mockrunner:1.1.2
* mortbay-jetty-servlet-api:2.5.20110712
* phantomjsdriver:1.3.0
* powermock-core:1.6.6
* powermock-module-junit4:1.6.6
* powermock-api-mockito:1.6.6
* selenium-api:3.0.1
* selenium-remote-driver:3.0.1
* selenium-support:3.0.1
* spymemcached:2.12.2
* system-rules:1.16.1
* tomcat-catalina:7.0.73 (tomcat7)
* tomcat-coyote:7.0.73 (tomcat7)
* tomcat-juli:7.0.73 (tomcat7)
* tomcat-catalina:8.5.9 (tomcat8)
* tomcat-coyote:8.5.9 (tomcat8)
* tomcat-juli:8.5.9 (tomcat8)


Project: http://git-wip-us.apache.org/repos/asf/geode/repo
Commit: http://git-wip-us.apache.org/repos/asf/geode/commit/0607a762
Tree: http://git-wip-us.apache.org/repos/asf/geode/tree/0607a762
Diff: http://git-wip-us.apache.org/repos/asf/geode/diff/0607a762

Branch: refs/heads/feature/GEODE-2460
Commit: 0607a762b36025d7b8f8f24a6048977b7835f419
Parents: 6f35a02
Author: Kirk Lund <klund@apache.org>
Authored: Fri Feb 10 14:35:55 2017 -0800
Committer: Kirk Lund <klund@apache.org>
Committed: Fri Feb 10 14:35:55 2017 -0800

----------------------------------------------------------------------
 geode-assembly/src/main/dist/LICENSE            |  2 +-
 .../logging/configuring_log4j2.html.md.erb      |  6 +-
 .../10/managing/logging/configuring_log4j2.html | 10 +--
 gradle/dependency-versions.properties           | 74 ++++++++++----------
 4 files changed, 46 insertions(+), 46 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/geode/blob/0607a762/geode-assembly/src/main/dist/LICENSE
----------------------------------------------------------------------
diff --git a/geode-assembly/src/main/dist/LICENSE b/geode-assembly/src/main/dist/LICENSE
index 601ba81..4769f9a 100644
--- a/geode-assembly/src/main/dist/LICENSE
+++ b/geode-assembly/src/main/dist/LICENSE
@@ -272,7 +272,7 @@ Distribution License:
 
   - javax.activation v1.1.1
     (http://java.sun.com/javase/technologies/desktop/javabeans/jaf/index.jsp),
-  - javax.mail v1.4.5 (http://www.oracle.com/)
+  - javax.mail v1.4.7 (http://www.oracle.com/)
   - javax.resource v 1.7 (https://glassfish.java.net/)
   - javax.servlet v3.1.0 (https://glassfish.java.net/)
   - javax.transaction v1.2 (https://glassfish.java.net/)

http://git-wip-us.apache.org/repos/asf/geode/blob/0607a762/geode-docs/managing/logging/configuring_log4j2.html.md.erb
----------------------------------------------------------------------
diff --git a/geode-docs/managing/logging/configuring_log4j2.html.md.erb b/geode-docs/managing/logging/configuring_log4j2.html.md.erb
index 06b5c56..f4d5ea3 100644
--- a/geode-docs/managing/logging/configuring_log4j2.html.md.erb
+++ b/geode-docs/managing/logging/configuring_log4j2.html.md.erb
@@ -37,9 +37,9 @@ You can also configure Log4j 2 to work with various popular and commonly
used lo
 
 For example, if you are using:
 
--   **Commons Logging**, download "Commons Logging Bridge" (`log4j-jcl-2.1.jar`)
--   **SLF4J**, download "SLFJ4 Binding" (`log4j-slf4j-impl-2.1.jar`)
--   **java.util.logging**, download the "JUL adapter" (`log4j-jul-2.1.jar`)
+-   **Commons Logging**, download "Commons Logging Bridge" (`log4j-jcl-2.7.jar`)
+-   **SLF4J**, download "SLFJ4 Binding" (`log4j-slf4j-impl-2.7.jar`)
+-   **java.util.logging**, download the "JUL adapter" (`log4j-jul-2.7.jar`)
 
 See [http://logging.apache.org/log4j/2.x/faq.html](http://logging.apache.org/log4j/2.x/faq.html)
for more examples.
 

http://git-wip-us.apache.org/repos/asf/geode/blob/0607a762/geode-site/website/content/docs/guide/10/managing/logging/configuring_log4j2.html
----------------------------------------------------------------------
diff --git a/geode-site/website/content/docs/guide/10/managing/logging/configuring_log4j2.html
b/geode-site/website/content/docs/guide/10/managing/logging/configuring_log4j2.html
index b02422b..bd8e6b8 100644
--- a/geode-site/website/content/docs/guide/10/managing/logging/configuring_log4j2.html
+++ b/geode-site/website/content/docs/guide/10/managing/logging/configuring_log4j2.html
@@ -3179,17 +3179,17 @@ limitations under the License.
 <p>For example, if you are using:</p>
 
 <ul>
-<li>  <strong>Commons Logging</strong>, download &ldquo;Commons Logging
Bridge&rdquo; (<code>log4j-jcl-2.1.jar</code>)</li>
-<li>  <strong>SLF4J</strong>, download &ldquo;SLFJ4 Binding&rdquo;
(<code>log4j-slf4j-impl-2.1.jar</code>)</li>
-<li>  <strong>java.util.logging</strong>, download the &ldquo;JUL adapter&rdquo;
(<code>log4j-jul-2.1.jar</code>)</li>
+<li>  <strong>Commons Logging</strong>, download &ldquo;Commons Logging
Bridge&rdquo; (<code>log4j-jcl-2.7.jar</code>)</li>
+<li>  <strong>SLF4J</strong>, download &ldquo;SLFJ4 Binding&rdquo;
(<code>log4j-slf4j-impl-2.7.jar</code>)</li>
+<li>  <strong>java.util.logging</strong>, download the &ldquo;JUL adapter&rdquo;
(<code>log4j-jul-2.7.jar</code>)</li>
 </ul>
 
 <p>See <a href="http://logging.apache.org/log4j/2.x/faq.html">http://logging.apache.org/log4j/2.x/faq.html</a>
for more examples.</p>
 
-<p>All three of the above JAR files are in the full distribution of Log4J 2.1 which
can be downloaded at <a href="http://logging.apache.org/log4j/2.x/download.html">http://logging.apache.org/log4j/2.x/download.html</a>.
Download the appropriate bridge, adapter, or binding JARs to ensure that Geode logging is
integrated with every logging API used in various third-party libraries or in your own applications.</p>
+<p>All three of the above JAR files are in the full distribution of Log4J 2.7 which
can be downloaded at <a href="http://logging.apache.org/log4j/2.x/download.html">http://logging.apache.org/log4j/2.x/download.html</a>.
Download the appropriate bridge, adapter, or binding JARs to ensure that Geode logging is
integrated with every logging API used in various third-party libraries or in your own applications.</p>
 
 <p><strong>Note:</strong>
-Apache Geode has been tested with Log4j 2.1. As newer versions of Log4j 2 come out, you can
find 2.1 under Previous Releases on that page.</p>
+Apache Geode has been tested with Log4j 2.7. As newer versions of Log4j 2 come out, you can
find 2.7 under Previous Releases on that page.</p>
 
 <h2>Customizing Your Own log4j2.xml File</h2>
 

http://git-wip-us.apache.org/repos/asf/geode/blob/0607a762/gradle/dependency-versions.properties
----------------------------------------------------------------------
diff --git a/gradle/dependency-versions.properties b/gradle/dependency-versions.properties
index a0b291e..75b1243 100644
--- a/gradle/dependency-versions.properties
+++ b/gradle/dependency-versions.properties
@@ -18,82 +18,82 @@ activation.version = 1.1.1
 annotations.version = 3.0.0
 antlr.version = 2.7.7
 asm.version = 5.1
-assertj-core.version = 3.4.1
+assertj-core.version = 3.6.2
 awaitility.version = 2.0.0
-bcel.version = 5.2
+bcel.version = 6.0
 catch-exception.version = 1.4.4
 catch-throwable.version = 1.4.4
 cdi-api.version = 1.2
-cglib.version = 3.2.2
+cglib.version = 3.2.4
 classmate.version = 0.9.0
 commons-collections.version = 3.2.2
-commons-configuration.version = 1.6
-commons-fileupload.version = 1.3.1
-commons-io.version = 2.3
-commons-lang.version = 2.5
-commons-logging.version = 1.1.1
-commons-modeler.version = 2.0
-commons-beanutils.version = 1.8.0
+commons-configuration.version = 1.10
+commons-fileupload.version = 1.3.2
+commons-io.version = 2.5
+commons-lang.version = 2.6
+commons-logging.version = 1.2
+commons-modeler.version = 2.0.1
+commons-beanutils.version = 1.9.3
 commons-digester.version=2.1
 commons-exec.version=1.3
-derby.version = 10.2.2.0
+derby.version = 10.13.1.1
 dom4j.version = 1.6.1
-fastutil.version = 7.0.2
-google-gson.version=2.3.1
-guava.version = 15.0
+fastutil.version = 7.0.13
+google-gson.version=2.8.0
+guava.version = 21.0
 hadoop.version = 2.4.1
 hamcrest-all.version = 1.3
 hbase.version = 0.94.27
 hibernate.version = 3.5.5-Final
 hibernate-commons-annotations.version = 3.2.0.Final
-httpclient.version = 4.5.1
-httpcore.version = 4.4.3
+httpclient.version = 4.5.2
+httpcore.version = 4.4.6
 httpunit.version = 1.7.2
-hsqldb.version = 2.0.0
+hsqldb.version = 2.3.4
 jackson.version = 2.8.2
 jackson-module-scala_2.10.version = 2.8.2
-jansi.version = 1.8
-javassist.version = 3.20.0-GA
+jansi.version = 1.14
+javassist.version = 3.21.0-GA
 javax.ejb-api.version = 3.0
 javax.jsr250-api.version = 1.0
-javax.mail-api.version = 1.4.5
+javax.mail-api.version = 1.4.7
 javax.persistence-api.version = 2.0.0
 javax.resource-api.version = 1.7
 javax.servlet-api.version = 3.1.0
 javax.transaction-api.version = 1.2
-jedis.version = 2.7.2
+jedis.version = 2.9.0
 jetty.version = 9.3.6.v20151106
 jgroups.version = 3.6.10.Final
-jline.version = 2.12
+jline.version = 2.14.3
 jmock.version = 2.8.2
 jna.version = 4.0.0
-jopt-simple.version = 5.0.1
+jopt-simple.version = 5.0.3
 json-path.version = 2.2.0
 json-path-assert.version = 2.2.0
 json4s.version = 3.2.4
 jsr305.version = 3.0.1
 junit.version = 4.12
 junit-quickcheck.version = 0.7
-JUnitParams.version = 1.0.5
-log4j.version = 2.6.1
+JUnitParams.version = 1.0.6
+log4j.version = 2.7
 lucene.version = 6.0.0
 mockito-core.version = 1.10.19
-mockrunner.version = 1.0.8
-mortbay-jetty-servlet-api.version=2.5-20081211
+mockrunner.version = 1.1.2
+mortbay-jetty-servlet-api.version=2.5.20110712
 multithreadedtc.version = 1.01
 mx4j.version = 3.0.1
 mx4j-remote.version = 3.0.1
 mx4j-tools.version = 3.0.1
-netty-all.version = 4.0.4.Final
+netty-all.version = 4.1.7.Final
 open-json.version = 1.7
 paranamer.version = 2.3
-phantomjsdriver.version=1.2.1
-powermock.version = 1.6.4
+phantomjsdriver.version=1.3.0
+powermock.version = 1.6.6
 quartz.version = 2.2.1
 scala.version = 2.10.0
-selenium.version=2.53.1
-shiro.version=1.3.1
-slf4j-api.version = 1.7.21
+selenium.version=3.0.1
+shiro.version=1.3.2
+slf4j-api.version = 1.7.22
 snappy-java.version=0.4
 spring-hateoas.version = 0.21.0.RELEASE
 spring-shell.version = 1.2.0.RELEASE
@@ -102,10 +102,10 @@ spring-security.version = 4.1.3.RELEASE
 spring-tx.version = 4.3.2.RELEASE
 springframework.version = 4.3.2.RELEASE
 stephenc-findbugs.version = 1.3.9-1
-spymemcached.version = 2.9.0
+spymemcached.version = 2.12.2
 springfox.version=2.6.0
-system-rules.version = 1.16.0
+system-rules.version = 1.16.1
 tempus-fugit.version = 1.1
 tomcat6.version = 6.0.37
-tomcat7.version = 7.0.70
-tomcat8.version = 8.5.4
+tomcat7.version = 7.0.73
+tomcat8.version = 8.5.9


Mime
View raw message